function [ kn ] = FT_bayer_helms_kn( gp1, gp2, gp_idx, n1, n2, gamma)
%FT_BAYER_HELMS_KN Summary of this function goes here
%   Detailed explanation goes here
    
    K = 0.5i .* conj(gp1.q(gp_idx) - gp2.q(gp_idx)) ./ imag(gp1.q(gp_idx));
    K0 = (gp1.zr(gp_idx) - gp2.zr(gp_idx))./gp2.zr(gp_idx);
    
    n1_fac = factorial(n1);
    n2_fac = factorial(n2);
    
    X_bar = 0;
    X = 0;
    
    if gamma ~= 0.0
        theta = gp2.w0(gp_idx)./gp2.zr(gp_idx);
        gg0 = gamma./theta;
        X_bar = 1./ (sqrt(1+conj(K))) * (-1*(gp2.z(gp_idx)/gp2.zr(gp_idx)-1i)*gg0);
        X     = 1./ (sqrt(1+conj(K))) * (-1*(gp2.z(gp_idx)/gp2.zr(gp_idx)+1i*(1+2*conj(K)))*gg0);
    end
    
    F = K./(2.*(1+K0));
    F_bar = conj(K)./2;
    Ex = exp( -(X.*X_bar * 0.5));
    
    kn = (-1)^n2_fac * Ex * sqrt(n1_fac*n2_fac) * ...
        (1+K0)^(n1/2+0.25) * (1-conj(K))^(-(n1+n2+2)/2) ...
        * (FT_bayer_helms_Sg(n1,n2,X,X_bar,F,F_bar) - FT_bayer_helms_Su(n1,n2,X,X_bar,F,F_bar));
end

