clear all;

lambda = 1064e-9;
w0 = 1e-2;
gp_in = FT_init_gauss_param(lambda,1,'z',0,'w0',w0);
gp_out = FT_init_gauss_param(lambda,1,'z',0,'w0',w0);

map_tilt  = FT_create_tilted_map(1e-6,0,6*w0,12*w0,201);

[K_tilt, gc] = FT_map_knm(map_tilt, gp_in, gp_out, 1, 1e-5, 0);

gc.value(1) = 1;
gc.value = K_tilt * gc.value;

x = linspace(-3,3,1000).*gp_out.w0(1);
field = FT_gauss_coefficients_to_field(FT_init_gauss_param(lambda,1,'z',1e6,'w0',gp_out.w0(1)), gc, x, 0, [0,0,0]);
figure();
plot(x,abs(field));