clear all;

FT=FT_init_Finesse();
FT_check_for_kat_binary(FT);

[blk] = FT_read_blocks_from_file('base.kat');
w =  1e-3;
    
tilt = 1e-6;

maxtem = 2;

lambda = 1064e-9;

astigs = linspace(5000, 20000, 5);

%% all Bayer-helms
run = 1;
katname = 'astig.kat';
outbl(1) = FT_copy_block(blk,'base');
outbl(2) = FT_create_new_block('commands');

outbl(2) = FT_add_line_to_block(outbl(2),'ad a00 0 0 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a10 1 0 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a01 0 1 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a20 2 0 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a02 0 2 0 n2');

outbl(2) = FT_add_line_to_block(outbl(2), sprintf('maxtem %i', maxtem));
outbl(2) = FT_add_line_to_block(outbl(2), sprintf('xaxis m1 Rcx lin %g %g %i', min(astigs), max(astigs), length(astigs)));
outbl(2) = FT_add_line_to_block(outbl(2), 'func RCY = (-1) * $x1');
outbl(2) = FT_add_line_to_block(outbl(2), 'put m1 Rcy $RCY');
outbl(2) = FT_add_line_to_block(outbl(2), 'yaxis lin abs:deg');
FT_write_blocks_into_file(outbl,katname);

Run(run)=FT_create_new_kat_run();
Run(run).filename=katname;
Run(run)=FT_run_kat_simulation(FT,Run(run));

FT_kat_clean(Run(run));

fprintf('computing knm in Matlab...\n');
    
gp_in = FT_init_gauss_param(lambda,1,'z',0,'w0',w);
gp_out = FT_init_gauss_param(lambda,1,'z',0,'w0',w);

i=1;
for astig=astigs
    
    map_astig = FT_create_astigmatic_map_rc(-astig,astig,6*w,12*w,201);
    
    [K_astig(i,:,:), gc] = FT_map_knm(map_astig, gp_in, gp_out, maxtem, 1e-6, 1);    
    
    gc.value = squeeze(K_astig(i,:,:)) * [1;0;0;0;0;0];
    
    A00(i) = gc.value(1);
    A10(i) = gc.value(2);
    A01(i) = gc.value(3);
    A20(i) = gc.value(4);
    A02(i) = gc.value(6);
    
    i=i+1;
end

%%

figure();
subplot(3,2,1);
plot(Run.x, Run.y(:,1), astigs, abs(A00),'g--');
subplot(3,2,2);
plot(Run.x, Run.y(:,2), astigs, angle(A00).*180./pi,'g--');

subplot(3,2,3);
plot(Run.x, Run.y(:,7), astigs, abs(A20),'g--');
subplot(3,2,4);
plot(Run.x, Run.y(:,8), astigs, angle(A20).*180./pi,'g--');

subplot(3,2,5);
plot(Run.x, Run.y(:,9), astigs, abs(A02),'g--');
subplot(3,2,6);
plot(Run.x, Run.y(:,10), astigs, angle(A02).*180./pi,'g--');
