clear all;

FT=FT_init_Finesse();
FT_check_for_kat_binary(FT);

[blk] = FT_read_blocks_from_file('base.kat');
w =  1e-3;
    
tilt = 1e-6;

maxtem = 2;

lambda = 1064e-9;

astigs = linspace(3000, 10000, 5);

fprintf('computing knm in Matlab...\n');
    
gp_in = FT_init_gauss_param(lambda,1,'z',0,'w0',w);
gp_out = FT_init_gauss_param(lambda,1,'z',0,'w0',w);

i=1;
run = 1;

for astig=astigs
    
    katname = 'astig.kat';
    outbl(1) = FT_copy_block(blk,'base');
    outbl(2) = FT_create_new_block('commands');

    outbl(2) = FT_add_line_to_block(outbl(2),'ad a00 0 0 0 n2');
    outbl(2) = FT_add_line_to_block(outbl(2),'ad a10 1 0 0 n2');
    outbl(2) = FT_add_line_to_block(outbl(2),'ad a01 0 1 0 n2');
    outbl(2) = FT_add_line_to_block(outbl(2),'ad a20 2 0 0 n2');
    outbl(2) = FT_add_line_to_block(outbl(2),'ad a02 0 2 0 n2');

    outbl(2) = FT_add_line_to_block(outbl(2), sprintf('maxtem %i', maxtem));
    outbl(2) = FT_add_line_to_block(outbl(2), sprintf('attr m1 Rcx %g', astig));
    outbl(2) = FT_add_line_to_block(outbl(2), sprintf('attr m1 Rcy %g', -astig));
    outbl(2) = FT_add_line_to_block(outbl(2), 'yaxis lin abs:deg');
    outbl(2) = FT_add_line_to_block(outbl(2), 'noxaxis');
    outbl(2) = FT_add_line_to_block(outbl(2), 'conf m1 save_kmn_matrices 1');
    FT_write_blocks_into_file(outbl,katname);

    Run(run)=FT_create_new_kat_run();
    Run(run).filename=katname;
    Run(run)=FT_run_kat_simulation(FT,Run(run));

    K_finesse(i,:,:) = dlmread('m1_bayerhelms_K11.mat');
    
    FT_kat_clean(Run(run));
    
    map_astig = FT_create_astigmatic_map_rc(-astig,astig,6*w,12*w,201);
    
    [K_astig(i,:,:), gc] = FT_map_knm(map_astig, gp_in, gp_out, maxtem, 1e-6, 1);    
 
    i=i+1;
end

%%
n = 1;
m = 1;
figure();
subplot(2,1,1);
plot(astigs, abs(K_finesse(:,n,m)) ,'k', astigs, abs(K_astig(:,n,m)),'r--');
subplot(2,1,2);
plot(astigs, angle(K_finesse(:,n,m)) ,'k', astigs, angle(K_astig(:,n,m)).*180./pi,'r--');