
clear all;


FT=FT_init_Finesse();
FT_check_for_kat_binary(FT);

[blk] = FT_read_blocks_from_file('base.kat');
w =  1e-3;
    
tilt = 1e-6;

maxtem = 1;

lambda = 1064e-9;

tilts = linspace(0e-6, 2e-6, 5);

%% all Bayer-helms
run = 1;
fprintf('Run %i\n',run);
katname = sprintf('base%i.kat',run);
outbl(1) = FT_copy_block(blk,'base');
outbl(2) = FT_create_new_block('commands');

outbl(2) = FT_add_line_to_block(outbl(2),'ad a00 0 0 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a10 1 0 0 n2');
outbl(2) = FT_add_line_to_block(outbl(2),'ad a01 0 1 1 n2');

outbl(2) = FT_add_line_to_block(outbl(2), sprintf('maxtem %i', maxtem));
outbl(2) = FT_add_line_to_block(outbl(2), sprintf('xaxis m1 xbeta lin %g %g %i', min(tilts), max(tilts), length(tilts)));
FT_write_blocks_into_file(outbl,katname);

Run(run)=FT_create_new_kat_run();
Run(run).filename=katname;
Run(run)=FT_run_kat_simulation(FT,Run(run));

FT_kat_clean(Run(run));

fprintf('computing knm in Matlab...\n');
    
gp_in = FT_init_gauss_param(lambda,1,'z',0,'w0',w);
gp_out = FT_init_gauss_param(lambda,1,'z',0,'w0',w);

i=1;
for tilt=tilts
    
    map_tilt = FT_create_tilted_map(tilt,0,6*w,12*w,201);
    
    [K_tilt, gc] = FT_map_knm(map_tilt, gp_in, gp_out, maxtem, 1e-6, 1);    
    
    gc.value = K_tilt * [1;0;0];
    
    A00(i) = gc.value(1);
    A01(i) = gc.value(2);
    A10(i) = gc.value(3);
    
    i=i+1;
end


%%
figure();
subplot(3,1,1);
plot(Run.x, Run.y(:,1), tilts, abs(A00));

subplot(3,1,2);
plot(Run.x, Run.y(:,2), tilts, abs(A10));

subplot(3,1,3);
plot(Run.x, Run.y(:,3), tilts, abs(A01));