function [fmod] = FT_read_modulation_frequency_from_blocks(blocks,modname)

    baseid = 'read_modulation_frequency_from_blocks';
    
    % Find blocks where modulators are declared
    bidx1 = FT_find_element_in_all_blocks(blocks,1,'mod');
    
    % Find block where given modulator is defined
    bidx2 = FT_find_element_in_all_blocks(blocks(bidx1),2,modname);
    block_idx = bidx1(bidx2);
    
    % Find modulator lines
    lidx = FT_find_element_in_active_block(blocks(block_idx),1,'mod');
    
    i=1;
    
    while i<=length(lidx)
         
         line_idx = lidx(i);
         
         % Find modulator name defined on line
         line_str = blocks(block_idx).txt_lines(line_idx);
         tmp_mod = FT_get_element_from_line(line_str,2);
         
         % If modulator is found exit loop
         if strcmp(tmp_mod,modname)
             i=length(lidx);
         elseif i==length(lidx)
             
             % Error message if modulator isn't found
             result=sprintf('Component not found: mod "%s" not found in blocks',modname);
             msgid=[baseid,':checkarguments']
             error(msgid,result);
         end
         
         i=i+1;
    end
    
    % Read modulation frequency
    tmp_fmod = FT_get_element_from_line(blocks(block_idx).txt_lines(line_idx),3);
    
    k = strfind(tmp_fmod,'$');
    if length(k)>0
        % Read constant value
        tmp_fmod = FT_remove_phrase_from_string(tmp_fmod,'$');
        fmod = FT_read_const_from_blocks(blocks,tmp_fmod);
    else
        % Store parameter value
        fmod = FT_kat_str2num(tmp_fmod);
    end
    
    
    
end

