%---------------------------------------------------------------------  
% FTE_aligo_initial_tuning.m
%
% Script for Matlab which demonstrates the use of the function 
% FT_DR_FP_MICH_initial_tuning.m to tune a fabry-perot, dual recycled
% michelson interferometer defined in FINESSE to its initial operating
% point.  Requires the input FINESSE file aligo_DR-FP-MICH.kat.
%
% Charlotte Bond	22.02.2013
%---------------------------------------------------------------------  
%

clear all;

% Name of kat file to read in
infile='aligo_DR-FP-MICH.kat';
% Name of kat file to write
outfile='aligo_initial_op_point.kat';

% Commands to ignore
commands={'Commands'};

% Names of mirrors (ETMs, beam-splitter, recycling mirrors)
mirrors={'ETMX','ETMY','BS','PRM','off'};
% Name of nodes relating to detection ports
nodes = {'nPTX','nPTY','nAS','nPOP' 'n'};
% Output plots as the mirror are tuned 
debug = [1 1 1 1 1];

% Call tuning function
FT_DR_FP_MICH_initial_tuning(infile,outfile,commands,mirrors,nodes,debug);