%--------------------------------------------------------------------------
% function [g] = FT_g_factor(L,Rc)
%
% A function for Matlab which calculates the g-factor for a mirror in a
% linear cavity: g = 1 - L/Rc.
%
% L:    Cavity length [m]
% Rc:   Mirror radius of curvature [m].  For a flat mirror use Rc=0.
%
% g:    Returned g-factor
%
% Charlotte Bond    08.02.2013
%--------------------------------------------------------------------------
%

function [g] = FT_g_factor(L,Rc)

    % For flat mirror
    g = 1;

    % g-factor
    if Rc~=0
        g = 1 - L/Rc;
    end

end

