%--------------------------------------------------------------------------
% function [Z] = FT_zernike_polynomial_for_map(map,n,m)
%
% A function for Matlab which generates a grid describing the surface
% heights of a particular Zernike polynomial over the surface/grid of a
% mirror map, in the standard structure.
%
% map:      Mirror map in the standard structure
% n,m:      Zernike indices, n=radial, m=azimuthal.
%
% Z:        Returned surface described by Zernike polynomial
%
% Charlotte Bond    09.05.2013
%--------------------------------------------------------------------------
%

function [Z] = FT_zernike_polynomial_for_map(map,n,m)

    % Data for polynomial grid
    [ypoints,xpoints] = size(map.data);
    R = FT_find_map_radius(map);
    
    Z = FT_zernike_polynomial_for_grid(xpoints,ypoints,map.x0,map.y0,R,R,n,m);

end

