#!/bin/sh 

# new_function_name
# Andreas Freise 080508
# Usage new_function_name oldname newname (without .m)
#
# A little bash script that help to rename a matlab function
# it searches all matlab scripts file in the current directory
# AND all subdirectories. It then renames the files with the
# old name to the new name and replaces all occurances of 
#the old name in all file with the new name.

if [ "$2" = "" ]; then
 echo "Usage new_function_name oldname newname (without .m)"
 exit 1
fi

oldname=`echo $1| cut -d'.' -f1`
newname=`echo $2| cut -d'.' -f1`

echo "Replacing function $oldname by $newname:"

filestorename=`find . -name $oldname.m`

echo "1) renaming files:"
echo $filestorename

for ffile in $filestorename
do
	  newpath=`dirname $ffile`
		svn mv $ffile $newpath/$newname.m
done

allmfiles=`find . -name "*.m"`
filestochange=`grep -l -I $oldname $allmfiles`
echo "2) replace function name in files:"
echo $filestochange

if [ "$filestochange" != "" ]; then
		perl -pi -e "s/$oldname/$newname/g" $filestochange
fi



